1. API reference
  2. Conversations

Create a conversation

POSThttps://howdybell.com/api/v1/conversations

Starts a new conversation with a contact on a specific channel. If a message body is provided, it is sent immediately as the first message. Returns 201 if a new conversation was created, or 200 if an existing one was reused.

Request body

  • contact_idintegerRequired
  • channel_idintegerRequired
  • bodystring, nullable
  • subjectstring, nullable
    max 255 characters
  • location_idintegerRequired

    The location to work in. Must belong to your workspace.

Responses

200

201

  • conversationobject
    • idinteger
    • contactobject, nullable
      • idinteger
      • namestring
      • phone_displaystring, nullable
      • emailstring, nullable
    • kindstring
    • channelobject, nullable
      • idinteger
      • namestring
    • statusstring
    • snoozed_untilstring, nullable
    • assigneeobject, nullable
      • idinteger
      • namestring
    • previewstring, nullable
    • last_message_atstring, nullable
    • last_inbound_atstring, nullable
    • unreadboolean
    • unread_countinteger
    • subjectstring, nullable
    • possible_matchobject, nullable
      • idinteger
      • namestring
  • messageobject
    • idinteger
    • conversation_idinteger
    • directionstring
    • kindstring
    • bodystring, nullable
    • htmlstring, nullable
    • subjectstring, nullable
    • from_addressstring, nullable
    • to_addressstring, nullable
    • statusstring
    • errorstring, nullable
    • authorobject, nullable
      • idinteger
      • namestring
    • sent_atstring, nullable
    • delivered_atstring, nullable
    • created_atstring, nullable
    • ai_generatedboolean
    • attachmentsarray of string

422 Validation error

  • messagestring

    Errors overview.

  • errorsobject

    A detailed description of each field that failed validation.

RequestcURL
curl -X POST "https://howdybell.com/api/v1/conversations" \
  -H "Authorization: Bearer $HOWDYBELL_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "contact_id": 1,
  "channel_id": 1,
  "body": "string",
  "subject": "string",
  "location_id": 1
}'
Response200
"string"
Create a conversation (POST /api/v1/conversations) | HowdyBell Developers